// Filter.java
//
// Informatics 102 Spring 2012
// Assignment #2: Metadata and Reflection
//
// This interface is how the user interface accesses a filter.  The only
// two things that the user interface can do with a filter is to find out
// its name and to execute it on an image.

package inf102.assignment2.filters;


public interface Filter
{
	// getName() returns the name of this filter
	String getName();

	// execute() applies this filter to the given image, making changes
	// to that image directly (as opposed to returning a new copy)
	void execute(FilterableImage image);
}
