// FilterPlugIn.java
//
// Informatics 102 Winter 2010
// Assignment #2: Metadata and Reflection
//
// Defines an annotation called @FilterPlugIn, which is used to mark
// methods that are intended to be image filters.  Filter methods are
// required to have a name, which will be displayed in the user interface
// in the "Filter" menu.
//
// This annotation is only allowed to appear on methods and is available
// at run-time.

package inf102.assignment2.plugins;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface FilterPlugIn
{
	String name();
}
